#include "behaviour.h"



BSeek::BSeek(Boid* _thisBoid){
	thisBoid = _thisBoid;
}
BSeek::BSeek(Boid* _thisBoid, Vec3& _targetPos) {
	thisBoid = _thisBoid;
	targetPos = _targetPos;
	seekingBoid = false;
}
BSeek::BSeek(Boid* _thisBoid, Boid* _targetBoid) {
	thisBoid = _thisBoid;
	targetBoid = _targetBoid;
	seekingBoid = true;
}
BSeek::~BSeek(){}

void BSeek::setTarget(Vec3& _targetPos) {
	targetPos = _targetPos;
	seekingBoid = false;
}

void BSeek::setTarget(Boid* _targetBoid) {
	targetBoid = _targetBoid;
	seekingBoid = true;
}

Vec3 BSeek::calculate() {
	if (seekingBoid)
	{
		return (targetBoid->position - thisBoid->position);
	}

}
