#ifndef __BRUSHMAN_H__
#define __BRUSHMAN_H__



#include <stdio.h>
#include <stdlib.h>
#include <windows.h>
#include <gl/glut.h>
#include <io.h>
//#include <il/il.h>
//#include <il/ilu.h>
//#include <il/ilut.h>

#include <vector>
#include <string>

typedef struct												// Create A Structure
{
	GLubyte	*imageData;										// Image Data (Up To 32 Bits)
	GLuint	bpp;											// Image Color Depth In Bits Per Pixel.
	GLuint	width;											// Image Width
	GLuint	height;											// Image Height
	GLuint	texID;											// Texture ID Used To Select A Texture
} TEXTUREIMAGE;	

class CPBrush
{
public:
	char textureFilename[100];
	TEXTUREIMAGE texture;
	float size;
	int ilID, glID;
	
};

loadTGA(TEXTUREIMAGE *texture, char *filename);
class CPBrushManager
{
public:
	CPBrush* brushArray;
	int numBrushes;
	int currentBrush;
	unsigned int* ilIDs;

	//void loadBrushes(char * filename);
	//int ilLoadBrushes();
	
	//int findLoadBrushes();
	//int findLoadBrushes2();
	void setBrush(int brush);
};



#endif