class colRGB;
class colCMY;
class colHSV;

class colCMY
{
public:
	colCMY(float _c = 0, float _m = 0, float _y = 0)
	{
		c = _c; m = _m; y = _y;
	}

	float c, m, y;

	inline void operator = (colCMY rhs)
	{
		c = rhs.c;
		m = rhs.m;
		y = rhs.y;
	}

	inline void operator = (float rhs)
	{
		c = rhs;
		m = rhs;
		y = rhs;
	}

	inline colCMY operator / (float rhs)
	{
		colCMY ret;
		ret.c = c / rhs;
		ret.m = m / rhs;
		ret.y = y / rhs;

		return ret;
	}

	inline colCMY operator * (float rhs)
	{
		colCMY ret;
		ret.c = c * rhs;
		ret.m = m * rhs;
		ret.y = y * rhs;

		return ret;
	}

	inline colCMY operator - (colCMY rhs)
	{
		colCMY ret;
		ret.c = c - rhs.c;
		ret.m = m - rhs.m;
		ret.y = y - rhs.y;
		return ret;
	}

	inline colCMY operator + (colCMY rhs)
	{
		colCMY ret;
		ret.c = c + rhs.c;
		ret.m = m + rhs.m;
		ret.y = y + rhs.y;
		return ret;
	}

	inline void operator += (colCMY rhs)
	{
		c = c + rhs.c;
		m = m + rhs.m;
		y = y + rhs.y;	
	}

	inline void operator -= (colCMY rhs)
	{
		c = c - rhs.c;
		m = m - rhs.m;
		y = y - rhs.y;	
	}

	inline void operator *= (float rhs)
	{
		*this = *this * rhs;
	}


};

class colRGB
{
public:
	colRGB(float _r = 1, float _g = 1, float _b = 1) {
		r = _r; g = _g; b = _b;
	}

	colRGB(colCMY _col)
	{
		this->fromCMY(_col);
	}

	inline colCMY asCMY() {
		return colCMY(1-r, 1-g, 1-b);
	}

	inline void fromCMY(colCMY cmy) {
		r = 1-cmy.c;
		g = 1-cmy.m;
		b = 1-cmy.y;
	}
	
	float r, g, b;
};





