#pragma once

#include "boid.h"

//#include "vector3.h"



class BSeek : public Behaviour
{
public:

	BSeek(Boid* _thisBoid){
		thisBoid = _thisBoid;
	}
	BSeek(Boid* _thisBoid, Vec3& _targetPos) {
		thisBoid = _thisBoid;
		targetPos = _targetPos;
		seekingBoid = false;
	}
	BSeek(Boid* _thisBoid, Boid* _targetBoid) {
		thisBoid = _thisBoid;
		targetBoid = _targetBoid;
		seekingBoid = true;
	}
	~BSeek(){}

	void setTarget(Vec3& _targetPos) {
		targetPos = _targetPos;
		seekingBoid = false;
	}

	void setTarget(Boid* _targetBoid) {
		targetBoid = _targetBoid;
		seekingBoid = true;
	}

	Vec3 calculate() {
		if (seekingBoid)
		{
			return (targetBoid->position - thisBoid->position);
		}

	}

	Vec3 targetPos;
	Boid* targetBoid;
	Boid* thisBoid;

	bool seekingBoid;
};